com.io7m.smfj.format.binary.v1

## Class SMFBv1Parser

- java.lang.Object
- - com.io7m.smfj.format.binary.v1.SMFBv1Parser

- All Implemented Interfaces:
    SMFParserSequentialType, SMFParserType, Closeable, AutoCloseable

      public final class SMFBv1Parser
      extends Object
      implements SMFParserSequentialType

  A parser for version 1.* files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMFBv1Parser(SMFFormatVersion in_version, BitSet in_state, SMFBDataStreamReaderType in_reader, SMFParserEventsHeaderType in_events_header)` Construct a parser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `parse()` Begin parsing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFBv1Parser

          public SMFBv1Parser(SMFFormatVersion in_version,
                              BitSet in_state,
                              SMFBDataStreamReaderType in_reader,
                              SMFParserEventsHeaderType in_events_header)

      Construct a parser.
      Parameters:
        `in_version` - The format version
        `in_state` - The current parser state
        `in_reader` - A data stream reader
        `in_events_header` - An event receiver

  - ### Method Detail

    - #### parse

          public void parse()

      Description copied from interface: `SMFParserSequentialType`
      Begin parsing.
      Specified by:
        `parse` in interface `SMFParserSequentialType`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2017 <code@io7m.com> http://io7m.com